import 'zx/globals'

import page from './page.mjs'

export async function opSignin() {
  if (!(await $`op whoami`.catch(() => false))) {
    page()

    await $`op signin`.catch((e) => {
      // 1password throws a bunch of doodoo when you interrupt
      if (e.exitCode === 1) process.exit()
    })
  }
}
