import 'zx/globals'

export async function listApps() {
  cd(process.env.DISPENSE_MONOREPO_PATH)
  const apps = await $`ls -d apps/*/`
  return apps.stdout
    .split('\n')
    .filter(Boolean)
    .flatMap((path) => path.split('apps/')[1].split('/')[0])
}

export default async function apps() {
  console.log(await (await list()).join('\n'))
}
